from .views import *
from django.urls import path
from django.views.generic.base import TemplateView

urlpatterns = []

# Log in / out
urlpatterns += [

    path(
        route='inicio/',
        view=login,
        name="login",
    ),

    path(
        route='inicio/<str:token>/<int:operator>/',
        view=principalView,
        name="principal",
    ),

    path(
        route='category_create/<str:token>/<int:operator>/',
        view=view_category_create,
        name="category_create",
    ),
    path(
        route='category_change/<str:token>/<int:operator>/',
        view=view_category_change,
        name="category_change",
    ),
    path(
        route='category_list/<str:token>/<int:operator>/',
        view=view_category_list,
        name="category_list",
    ),
    path(
        route='category_add/<str:token>/<int:operator>/',
        view=view_category_add,
        name="category_add",
    ),

    path(
        route='classification_list/<str:token>/<int:operator>/',
        view=view_classification_list,
        name="classification_list",
    ),
    path(
        route='classification_create/<str:token>/<int:operator>/',
        view=view_classification_create,
        name="classification_create",
    ),
    path(
        route='classification_change/<str:token>/<int:operator>/',
        view=view_classification_change,
        name="classification_change",
    ),

    path(
        route='ticket_list/<str:token>/<int:operator>/',
        view=view_ticket_list,
        name="ticket_list",
    ),
    path(
        route='ticket_create/<str:token>/<int:operator>/',
        view=view_ticket_create,
        name="ticket_create",
    ),

    path(
        route='operator_create/<str:token>/<int:operator>/',
        view=view_operator_create,
        name="operator_create",
    ),
    path(
        route='operator_list/<str:token>/<int:operator>/',
        view=view_operator_list,
        name="operator_list",
    ),
    path(
        route='operator_change/<str:token>/<int:operator>/',
        view=view_operator_change,
        name="operator_change",
    ),
    path(
        route='operator_view/<str:token>/<int:operator>/',
        view=view_operator_view,
        name="operator_view",
    ),


    path(
        route='customer_create/<str:token>/<int:operator>/',
        view=view_customer_create,
        name="customer_create",
    ),
    path(
        route='customer_list/<str:token>/<int:operator>/',
        view=view_customer_list,
        name="customer_list",
    ),

    path(
        route='template_create/<str:token>/<int:operator>/',
        view=view_template_create,
        name="template_create",
    ),
    path(
        route='template_list/<str:token>/<int:operator>/',
        view=view_template_list,
        name="template_list",
    ),
    path(
        route='template_change/<str:token>/<int:operator>/',
        view=view_template_change,
        name="template_change",
    ),
    path(
        route='view_template/<str:token>/<int:operator>/',
        view=view_template_view,
        name="view_template",
    ),

    path(
        route='typify_create/<str:token>/<int:operator>/',
        view=view_typify_create,
        name="typify_create",
    ),
    path(
        route='typify_create_queue/<str:token>/<int:operator>/<int:queue_id>/',
        view=view_typify_create_queue,
        name="typify_create_queue",
    ),
    path(
        route='typify_list/<str:token>/<int:operator>/',
        view=view_typify_list,
        name="typify_list",
    ),
    path(
        route='typify_change/<str:token>/<int:operator>/<int:typify_number>/',
        view=view_typify_change,
        name="typify_change",
    ),
    path(
        route='typify_typify/<str:token>/<int:operator>/',
        view=view_typify_typify,
        name="typify_typify",
    ),
    path(
        route='typify_open/<str:token>/<int:operator>/',
        view=view_typify_open,
        name="typify_open",
    ),
    path(
        route='typify_opened/<str:token>/<int:operator>/',
        view=view_typify_opened,
        name="typify_opened",
    ),
    path(
        route='typify_refund/<str:token>/<int:operator>/',
        view=view_typify_refund,
        name="typify_refund",
    ),
    path(
        route='typify_defaulter/<str:token>/<int:operator>/',
        view=view_typify_defaulter,
        name="typify_defaulter",
    ),
    path(
        route='typify_loss_of_service/<str:token>/<int:operator>/',
        view=view_typify_loss_of_service,
        name="typify_loss_of_service",
    ),
    path(
        route='typify_product/<str:token>/<int:operator>/',
        view=view_typify_product,
        name="typify_product",
    ),
    path(
        route='typify_retention/<str:token>/<int:operator>/',
        view=view_typify_retention,
        name="typify_retention",
    ),
    path(
        route='typify_new_service/<str:token>/<int:operator>/',
        view=view_typify_new_service,
        name="typify_new_service",
    ),
    path(
        route='typify_call_after/<str:token>/<int:operator>/',
        view=view_typify_call_after,
        name="typify_call_after",
    ),
    path(
        route='typify_tracing/<str:token>/<int:operator>/',
        view=view_typify_tracing,
        name="typify_tracing",
    ),
    path(
        route='typify_last_hours/<str:token>/<int:operator>/',
        view=view_typify_last_hours,
        name="typify_last_hours",
    ),
    path(
        route='typify_me/<str:token>/<int:operator>/',
        view=view_typify_me,
        name="typify_me",
    ),
    path(
        route='masive_change/<str:token>/<int:operator>/',
        view=view_masive_change,
        name="masive_change",
    ),

    path(
        route='user_list/<str:token>/<int:operator>/',
        view=view_user_list,
        name="user_list",
    ),

    path(
        route='history/<str:token>/<int:operator>/',
        view=view_history,
        name="history",
    ),

    path(
        route='new_contact_change/<str:token>/<int:operator>/<int:new_contact_id>/<int:typify_id>/',
        view=view_new_contact_change,
        name="new_contact_change",
    ),

    path(
        route='feasibility_create/<str:token>/<int:operator>/',
        view=view_feasibility_create,
        name="feasibility_create",
    ),
    path(
        route='feasibility_list/<str:token>/<int:operator>/',
        view=view_feasibility_list,
        name="feasibility_list",
    ),
    path(
        route='feasibility_change/<str:token>/<int:operator>/',
        view=view_feasibility_change,
        name="feasibility_change",
    ),

    path(
        route='new_service_create/<str:token>/<int:operator>/',
        view=view_new_service_create,
        name="new_service_create",
    ),
    path(
        route='new_service_list/<str:token>/<int:operator>/',
        view=view_new_service_list,
        name="new_service_list",
    ),
    path(
        route='new_service_change/<str:token>/<int:operator>/',
        view=view_new_service_change,
        name="new_service_change",
    ),

    path(
        route='change_plan_create/<str:token>/<int:operator>/',
        view=view_change_plan_create,
        name="change_plan_create",
    ),
    path(
        route='change_plan_list/<str:token>/<int:operator>/',
        view=view_change_plan_list,
        name="change_plan_list",
    ),

    path(
        route='change_headline_create/<str:token>/<int:operator>/',
        view=view_change_headline_create,
        name="change_headline_create",
    ),
    path(
        route='change_headline_list/<str:token>/<int:operator>/',
        view=view_change_headline_list,
        name="change_headline_list",
    ),
    path(
        route='view_triggers_time/<str:token>/<int:operator>/',
        view=view_triggers_time,
        name="view_triggers_time",
    ),
    path(
        route='view_triggers_time_change/<str:token>/<int:operator>/<int:trigger_time_number>/',
        view=view_triggers_time_change,
        name="view_triggers_time_change",
    ),

    path(
        route='view_trigger_event/<str:token>/<int:operator>/',
        view=view_trigger_event,
        name="view_trigger_event",
    ),
    path(
        route='view_trigger_event_list/<str:token>/<int:operator>/',
        view=view_trigger_event_list,
        name="view_trigger_event_list",
    ),
    path(
        route='view_trigger_event_create/<str:token>/<int:operator>/',
        view=view_trigger_event_create,
        name="view_trigger_event_create",
    ),
    path(
        route='view_trigger_event_change/<str:token>/<int:operator>/',
        view=view_trigger_event_change,
        name="view_trigger_event_change",
    ),
    path(
        route='view_trigger_event_email_create/<str:token>/<int:operator>/',
        view=view_trigger_event_email_create,
        name="view_trigger_event_email_create",
    ),
    path(
        route='view_trigger_event_email_change/<str:token>/<int:operator>/',
        view=view_trigger_event_email_change,
        name="view_trigger_event_email_change",
    ),

    path(
        route='load_wizard/<str:token>/<int:operator>/',
        view=view_wizard,
        name="load_wizard",
    ),

]